//*****************************************************************************
//
//	Most of this code is from the CommandScroll object.  
//	Numerous additions, deletions, changes and any bugs courtesy of:
//
//		Felipe A. Rodriguez		
//
//	Portions of this file were derived from:
//	
//			CommandScroll.m
//			by Joe Freeman
//			Subprocess Example, Release 2.0
//			NeXT Computer, Inc.
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/ScrollView.h>


 
@interface CommandScroll:ScrollView
{
    id	docView;
		// size of the text object the last time this program played with it
    int lastTextCount;
		// so the user can distinguish what they typed from system output
    id	machineFont, helvFont;
}	

- appendString:(const char *)buffer;
    // append the buffer to the end of the text object
- appendStringUseFixedFont:(const char *)buffer;
	
@end
