//*****************************************************************************
//
//	DLRecord.h.  
//		
//		HotList Record objects, i.e this is what the HotList is made of
//
//		by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/appkit.h>




@interface DLRecord:Object
{
	id  IconImage;
	char *GateDocName;
	char Path[MAXPATHLEN + 1];	// generic buffer to hold paths
	char *GateDocPath;
}

- setGateDocName:(const char *)gateDocName; 
- setRecordPath:(const char *)aPath; 
- (char *)gateDocName; 
- (char *)gateDocPath; 
- gateIcon; 

@end
