//*****************************************************************************
//
//	SwapLaterView.h.  
//
//		Subclass of SwapView which allows a control in the view heirarchy
//		to trigger swapping.  Unlike is ancestor class swapping is not
//		performed immediately but scheduled to occur later.
//		
//			by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author's makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/appkit.h>
#import "SwapView.h"



@interface SwapLaterView:SwapView
{
}

- swapIt;
- swapLater;
- inspectName:(const char *)str;

@end
