//*****************************************************************************
//
//	SwapView.h.  
//
//	I have condensed, optimized and reformatted the code so that a swapview
//	can be implemented with this source file and a nib.
//
//		changes 5/25/95	by Felipe A. Rodriguez
//
//	Most of this file was derived from:
//	
//			SwapView.h and InspectorController.h
//			by Greg Burd
//			SwapItDemo, ver 2.0
//
//	This code is supplied "as is" the author's makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/View.h>



@interface SwapView:View
{
	id  inspector; 
	id		lastInspector;
	id		currentInspector;
	id		delegate;
	float	backgroundGray;
    id	inspectorPanel;
	id	popUpCover;
    id  popup;
	id	firstInspectorPanel;
	id	secondInspectorPanel;
	const char *theTitle;			// pointer to title of current panel
	int index;						// index of current panel
	id inspectorHashTable;
}

- initPopUp;
- (float)backgroundGray;
- setBackgroundGray:(float)aColor;
- currentInspector;
- lastInspector;
- swapIt;
- free;

- addInspector:anInspector for:aButton;
- inspectorFor:aButton;
- popUpAction:sender;
- inspect:(int)anIndex;
- whatPanel;

@end
