//*****************************************************************************
//
//	ToolBar.h.  
//
//		ToolBar control object
//
//			by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/appkit.h>



@interface ToolBar:View
{
	id 	nxAppDel;						// NXApp delegate
	id  hotListDelegate;
	id	appTile;
	id	appIconContentView;
	id	image;
	NXRect aRect;
	id	playButton;
	id	stopButton;
	id	minusButton;
	id	nextButton;
	id	closeButton;
	id	backWindow;
	id	theToolView;
	id	toolView;
	id	toolIconView;				// points to iconView
	id  toolWin;
	id HLImageView;
	id namHashTable;
	id tmpHashTable;
	int iWasSet;					// mail icon has been set if > 0
	BOOL cursorOverToolBar;
	BOOL hotListDirValid;			// whether the hotList dir is valid
	BOOL statusVisible;					
	BOOL wasHidden;					// whether the app was hidden when the
}									// cursor entered the toolbar

- playUnlink:sender; 
- nextItem:sender; 
- prevItem:sender; 
- close:sender; 
- mailInQueueIcon;

@end
