//*****************************************************************************
//
//	AlphaDBImageView.m.  
//		
//		DBImageView subclass that correctly displays images with alpha 
// 
//			by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/appkit.h>
#import "AlphaDBImageView.h"



@implementation AlphaDBImageView

- drawSelf:(const NXRect *)rects :(int)rectCount 
{
    PSsetgray(NX_LTGRAY);					// set color NX_LTGRAY in this case
    NXRectFill(rects);						// fill rect with current color
	[super drawSelf:rects :rectCount];

   return self;
}

@end
