//*****************************************************************************
//
//	DLDelegate.h.  
//
//		Document directory controller and NXBrowser delegate
//
//			by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/appkit.h>



@interface DLDelegate:Object
{
	id	image;
	id  hotList;
	id dirList;
	id SDImageView;					// statuc doc image view
	id ISPField;
	id toolBarView;
	id namHashTable;
	id tmpHashTable;
	id  addressView;				// ip address fields in status win
	char oPath[MAXPATHLEN + 1];		// buffer to hold app wrapper options path
	char Path[MAXPATHLEN + 1];		// buffer 

	int selCell;
}									

- awakeFromNib;
 
- initDList;								// init the hotlist  
- nextItem:sender; 
- prevItem:sender; 
- link;										// link using selected doc 
- setToolBar:aView; 
- setDispPerCellAt:(int)selectedCell;
- (int)hLSelectedCell; 
- (const char *)selGateDocOptionsPath; 
- appWillTerminate;
- DList;
- (const char *)extractName:(const char *)aPath;

- browserHit:sender;					// target of single click in browser
- browserDoubleClick:sender;			// target of double click in browser
- pBrowserHit:sender;					// pref variation of
- pBrowserDoubleClick:sender;			

@end
