//*****************************************************************************
//
//	GateDocEditor.h.  
//		
//		Create, edit and link using a Gate doc 
// 
//			by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/appkit.h>



@interface GateDocEditor:Object
{
    char Path[MAXPATHLEN + 1];		// generic buffer to hold paths
	id  theOptionsEditor;
	id	docName;					// doc name shown in panel
    id  docPath;					// path shown in panel
	id	theSavePanel; 
	id	theOpenPanel;   
	id	GDEImageView;   
}

- newDoc:sender;
- openDoc:sender;
- linkDoc:sender;
- editGateDoc:(const char *)aGateDoc;
- addDefaultFiles:(const char *)nameOfFile;


@end
