//*****************************************************************************
//
//	IconView.h.  
//
//		Displays an image in the app Icon
//
//			by	Felipe A. Rodriguez
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/appkit.h>



@interface IconView:View
{
	id	appTile;
	id	appIconContentView;
	id	Image;
	NXRect aRect;
	id timeCell;
	id timeFont;
	id	oldImage;
	id	mailIcon;
	BOOL mailFlag;
}

- (NXPoint) _centerPoint:anImage;
- setImage:theImage; 
- getTextCell; 
- setMailFlag:(BOOL)flag; 

@end
