//*****************************************************************************
//
//	IdleAnimator.h.  	
//
//		Controls Idle panel animation
//
//			by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/appkit.h>



@interface IdleAnimator:Object
{
	id commandView;
	id sView;
	id mailView;
    id ITPanel;					// inactivity timeout panel
	BOOL wasHidden;				// whether the app was hidden when called
	id imageList;
	id secTillTimeoutField;
	BOOL mailIcon;				// should we display mail icon
}

- cancel:sender;
- continue:sender;
- startAnimTimer;
- _animate;
- removeTimedEntry;
- cleanUp;
- countdown;

@end
