//*****************************************************************************
//
//	GateTool.h.  
//
//		by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/appkit.h>



@interface GateTool:Object
{
	int ptyMaster;
    id  gatePanel;			/* The Gate Tool panel */
    id  delegate;			/* The Gate Tool panel */
}

- writePty:(char *)buffer;
- (void)enScript:(const char *)buffer;
- setPty:(int)pty;
- unlockSerialPort;

@end
@protocol DialServer
										
- activateGateKeeper;  					// s/b expected 
- senderIsInvalid:sender; 
- showDialPanel; 
- (char *)modemInit;
- (const char *)modemPort;  
- (const char *)modemSpeed;  
- (BOOL)shouldExit; 

@end
