//*****************************************************************************
//
//	Timer.h.  
//
//		by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/appkit.h>



@interface Timer:Object
{
	id timerPanel;
	id sessionView;
	id monthView;
	id previousMonthView;
	id delegate;
	struct tm *timestamp;
	struct tm *tmMonth;
	time_t ltime;				// elapsed time this session
	time_t mtime;				// elapsed time this month
 	time_t savedTime;			// saved time usage this month
 	time_t monthTime;			// mo,yr last time timer was fired/freed
	time_t StartTime;			// starttime of this session
}

- initFromDDB;
- timer:sender;
- showTimerPanel:sender; 
- timerEngine:sender;
- Fire:sender; 
- setDelegate:anObject;
- stopTimer;

@end
