//*****************************************************************************
//
//	ToolBarView.m.  
//
//	by	Felipe A. Rodriguez		
//
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import "ToolBarView.h"



@implementation ToolBarView

//*****************************************************************************
//
// 		init the appIconView
//
//*****************************************************************************

- initFrame:(const NXRect *)bRect 
{
    [super initFrame:bRect];
	[super setAutodisplay:YES];
	[super notifyAncestorWhenFrameChanged:YES];
	Image = [NXImage findImageNamed: "tile"];

    return self;
}

- drawSelf:(const NXRect *)rects :(int)rectCount 
{
NXPoint contentViewOrigin = {0.0, 0.0 };
	
	[Image composite:NX_SOVER toPoint:&contentViewOrigin];

	return self;
}
//*****************************************************************************
//
// 		allows user to move window 
//
//*****************************************************************************

- mouseDown:(NXEvent *)theEvent 
{
	[window dragFrom:theEvent->location.x :theEvent->location.y
									eventNum:theEvent->data.mouse.eventNum];

	return self;
}
//*****************************************************************************
//
// 	free gets rid of everything we created
//
//*****************************************************************************

- free
{
    return [super free];
}

@end
